<?php
/**
 *
 * @category        modules
 * @package         jsonpage
 * @author          Ruud Eisinga
 * @link			http://www.allwww.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.2.2 and higher
 * @version         0.1
 * @lastmodified    13 april 2012
 *
 */

function jsonpage_search($func_vars) {
	extract($func_vars, EXTR_PREFIX_ALL, 'func');
	$max_excerpt_num = $func_default_max_excerpt;
	$divider = ".";
	$result = false;
	$query = $func_database->query('SELECT * FROM '.TABLE_PREFIX.'mod_jsonpage WHERE section_id = '.$func_section_id);
	if ($query && $query->numRows() > 0) { 
		$res = $query->fetchRow();
		$result = stripslashes($res['cache']);
		$mod_vars = array(
			'page_link' => $func_page_link , 
			'page_link_target' => "",
			'page_title' => $func_page_title,
			'page_description' => $func_page_description, 
			'page_modified_when' => $func_page_modified_when,
			'page_modified_by' => $func_page_modified_by,
			'text' => $result,
			'max_excerpt_num' => $max_excerpt_num
		);
		if(print_excerpt2($mod_vars, $func_vars)) {
			$result = true;
		}
	} 
	return $result;
}
?>
