<?php
/**
 *
 * @category        modules
 * @package         jsonpage
 * @author          Ruud Eisinga
 * @link			http://www.allwww.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.2.2 and higher
 * @version         0.1
 * @lastmodified    13 april 2012
 *
 */
if(defined('WB_PATH') == false) { exit("Cannot access this file directly"); }
if(!file_exists(WB_PATH.'/modules/jsonpage/languages/'.LANGUAGE.'.php')) {
	require_once(WB_PATH.'/modules/jsonpage/languages/EN.php');
} else {
	require_once(WB_PATH.'/modules/jsonpage/languages/'.LANGUAGE.'.php');
}

// Setup template object
$template = new Template(WB_PATH.'/modules/jsonpage');
$template->set_file('page', 'modify.htt');
$template->set_block('page', 'main_block', 'main');

// Get page content
$query = "SELECT * FROM ".TABLE_PREFIX."mod_jsonpage WHERE section_id = '$section_id'";
$get_settings = $database->query($query);
$settings = $get_settings->fetchRow();
$url = ($settings['url']);
$last = ($settings['last']);
$timeout = ($settings['timeout']);
$cache = ($settings['cache']);

$template->set_var(array(
								'JSONPAGE' => $MSG['JSONPAGE'],
								'PAGE_ID' => $page_id,
								'SECTION_ID' => $section_id,
								'WB_URL' => WB_URL,
								'TXT_SAVE' => $MSG['TXT_SAVE'],
								'TXT_CANCEL' => $MSG['TXT_CANCEL'],
								'TXT_URL' => $MSG['TXT_URL'],
								'TXT_TIMEOUT' => $MSG['TXT_TIMEOUT'],
								'URL' => $url,
								'LAST' => $last,
								'TIMEOUT' => $timeout,
								'CACHE' => $cache
								)
						);

// Parse template object
$template->parse('main', 'main_block', false);
$template->pparse('output', 'page');

?>