<?php
/**
 *
 * @category        modules
 * @package         jsonpage
 * @author          Ruud Eisinga
 * @link			http://www.allwww.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.2.2 and higher
 * @version         0.1.2
 * @lastmodified    July 4, 2012
 *
 */

require('../../config.php');
require_once (WB_PATH.'/framework/functions.php');
require(WB_PATH.'/modules/admin.php');
$update_when_modified = true; 

if(isset($_POST['section_id'])) {
	$url = $admin->add_slashes(strip_tags($_POST['url']));
	if (strpos($url,'?json') !== false) 
		$testurl = $url;
	elseif (strpos($url,'?') !== false) 
		$testurl = $url.'&json';
	else
		$testurl = $url.'?json';

	$section_id = (int)$_POST['section_id'];
	$timeout = (int)$_POST['timeout'];
	$cache = '';
	$p = json_decode(@file_get_contents($testurl));
	if($p->content || $p->page_title) {
		$cache = addslashes($p->content);
		$now = time();
		$query = "UPDATE ".TABLE_PREFIX."mod_jsonpage SET 
				`url` = '$url', 
				`cache` = '$cache', 
				`last` = '$now',
				`timeout` = '$timeout'
				WHERE `section_id` = '$section_id'";
		$database->query($query);	
	} else {
		$admin->print_error("ERROR: The URL '$url' is not a valid WB JSON feed", ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
	}
}

// Check if there is a database error, otherwise say successful
if($database->is_error()) {
	$admin->print_error($database->get_error(), $js_back);
} else {
	$admin->print_success($MESSAGE['PAGES']['SAVED'], ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
}
// Print admin footer
$admin->print_footer();


?>